Bug Hunting Session
Bug 101106 - PNG export of full page in Draw does not respect margins
Summary: PNG export of full page in Draw does not respect margins
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.1.2.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Graphics-Export
  Show dependency treegraph
 
Reported: 2016-07-25 03:50 UTC by Valter Fukuoka
Modified: 2018-07-25 02:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original .odg document... (8.61 KB, application/vnd.oasis.opendocument.graphics)
2016-07-26 23:21 UTC, Valter Fukuoka
Details
Correctly exported JPG (20.35 KB, image/jpeg)
2016-07-26 23:22 UTC, Valter Fukuoka
Details
Difference (exported) as PNG (22.18 KB, image/png)
2016-07-26 23:23 UTC, Valter Fukuoka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valter Fukuoka 2016-07-25 03:50:55 UTC
LibreOffice Draw.
OS: Debian Jessie 8.5 GNOME Desktop

When exporting a draw as .PNG, the exported area is restricted to the "within margin" area, but when exporting as .JPG, the exported area is the PAPER SIZE area...

Not sure if it is a planned feature, but it will be nice to have the possibility to export .png and .jpg resulting the same (in this case exporting the entire PAPER SIZE area.
Comment 1 Heiko Tietze 2016-07-25 08:10:43 UTC
Exporting the left-most arrow from attachment 126392 [details] as png and jpg results in both cases in 183x189 pixels, when I mark _selection_ in the export dialog. Please double-check that you set it correctly.

It's clearly a usability issue, and there are some enhancement request regarding file export (cf. bug 100467).
Comment 2 Valter Fukuoka 2016-07-26 23:21:36 UTC
Created attachment 126421 [details]
Original .odg document...

Original .odg document...
Comment 3 Valter Fukuoka 2016-07-26 23:22:07 UTC
Created attachment 126422 [details]
Correctly exported JPG

Correctly exported JPG
Comment 4 Valter Fukuoka 2016-07-26 23:23:18 UTC
Created attachment 126423 [details]
Difference (exported) as PNG

Using the same procedure to export to .PNG creates a different result...
Comment 5 Heiko Tietze 2016-07-27 07:20:06 UTC
/confirmed (thanks for adding the example)
Version: 5.3.0.0.alpha0+ (x64)
Build ID: f536a83d51443d19dba58157cea28fb67a090e02
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-06-13_01:19:21
Locale: de-DE (de_DE)

The issue becomes more striking when you shrink the page height: it results in a squeezed text (export the complete image to PNG). The sample document has a colored background and large margins (5cm). And those are not respected.

Changing the subject accordingly (was: Export .PNG differ from export .JPG) and moving the ticket to component filters. It's an issue for Draw and Impress but not in Writer.
Comment 6 QA Administrators 2018-07-25 02:40:38 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug